package cn.stylefeng.team.project.modular.business.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.team.project.api.BusinessCategoryApi;
import cn.stylefeng.team.project.api.entity.BusinessCategory;
import cn.stylefeng.team.project.modular.business.pojo.request.BusinessCategoryRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface BusinessCategoryService extends IService<BusinessCategory>, BusinessCategoryApi {

    void add(BusinessCategoryRequest businessCategoryRequest);

    void del(BusinessCategoryRequest businessCategoryRequest);

    void batchDelete(BusinessCategoryRequest businessCategoryRequest);

    void edit(BusinessCategoryRequest businessCategoryRequest);

    BusinessCategory detail(BusinessCategoryRequest businessCategoryRequest);

    List<BusinessCategory> findList(BusinessCategoryRequest businessCategoryRequest);

    PageResult<BusinessCategory> findPage(BusinessCategoryRequest businessCategoryRequest);

    List<BusinessCategory> getBusinessTree(BusinessCategoryRequest businessCategoryRequest);

    List<BusinessCategory> getTotalBusinessCategory();

}
